### Function

# Gtk test_accessible_assertion_message_role

#### Declaration [src]

    void
    gtk_test_accessible_assertion_message_role (
      const char* domain,
      const char* file,
      int line,
      const char* func,
      const char* expr,
      GtkAccessible* accessible,
      GtkAccessibleRole expected_role,
      GtkAccessibleRole actual_role
    )

#### Description [src]

Prints an assertion message for gtk_test_accessible_assert_role().

#### Parameters

`domain`

  Type: `const char*`

  A domain.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`file`

  Type: `const char*`

  A file name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`line`

  Type: `int`

  The line in `file`.

`func`

  Type: `const char*`

  A function name in `file`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`expr`

  Type: `const char*`

  The expression being tested.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`accessible`

  Type: `GtkAccessible`

  A `GtkAccessible`.

  The data is owned by the caller of the function.

`expected_role`

  Type: `GtkAccessibleRole`

  The expected `GtkAccessibleRole`.

`actual_role`

  Type: `GtkAccessibleRole`

  The actual `GtkAccessibleRole`.